<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Plugins\Block\Adminhtml\Term\Edit;

/**
 * @see \Magento\Search\Block\Adminhtml\Term\Edit\Form
 */
class Form {

    /**
     * @see \Magento\Search\Block\Adminhtml\Term\Edit\Form::setForm()
     *
     * @param \Magento\Search\Block\Adminhtml\Term\Edit\Form $subject
     * @param $form
     * @return array
     */
    public function beforeSetForm(\Magento\Search\Block\Adminhtml\Term\Edit\Form $subject, \Magento\Framework\Data\Form $form)
    {
        $form->getElement('redirect')->setClass(null)->setNote(null);
        return [$form];
    }
}